Base64.DecodeTableFormat (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.binary, class: Base64, enum: DecodeTableFormat

Package org.apache.commons.codec.binary

# Enum Base64.DecodeTableFormat

java.lang.Object
java.lang.Enum<Base64.DecodeTableFormat>
org.apache.commons.codec.binary.Base64.DecodeTableFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<Base64.DecodeTableFormat>`

Enclosing class:
  `Base64`

public static enum Base64.DecodeTableFormat extends Enum<Base64.DecodeTableFormat>
Enumerates the Base64 table format to be used on decoding.

By default, the method uses `MIXED` approach, allowing a seamless handling of both `URL_SAFE` and `STANDARD` base64 options.

Since:
  1.21

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MIXED`
  Represents a joint approach, allowing a seamless decoding of both character sets, corresponding to either RFC 2045 Table 1: The Base64 Alphabet or RFC 4648 Table 2: The "URL and Filename safe" Base 64 Alphabet.
  `STANDARD`
  Corresponds to the standard Base64 coding table, as specified in RFC 2045 Table 1: The Base64 Alphabet.
  `URL_SAFE`
  Corresponds to the URL-safe Base64 coding table, as specified in RFC 4648 Table 2: The "URL and Filename safe" Base 64 Alphabet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Base64.DecodeTableFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Base64.DecodeTableFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STANDARD

    public static final Base64.DecodeTableFormat STANDARD
    Corresponds to the standard Base64 coding table, as specified in RFC 2045 Table 1: The Base64 Alphabet.

  - ### URL_SAFE

    public static final Base64.DecodeTableFormat URL_SAFE
    Corresponds to the URL-safe Base64 coding table, as specified in RFC 4648 Table 2: The "URL and Filename safe" Base 64 Alphabet.

  - ### MIXED

    public static final Base64.DecodeTableFormat MIXED
    Represents a joint approach, allowing a seamless decoding of both character sets, corresponding to either RFC 2045 Table 1: The Base64 Alphabet or RFC 4648 Table 2: The "URL and Filename safe" Base 64 Alphabet. This decoding table is used by default.

- ## Method Details

  - ### values

    public static Base64.DecodeTableFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Base64.DecodeTableFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null